<?php
session_start();

include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   $id_cd=$sesion->id;
  $ok=0;
$continua=0;
        $busqusr2 = "SELECT tipo_centro from usuarios_ci where idusuarios_ci='$dato[0]'";

   $cons2 = mysqli_query($conexion, $busqusr2) or die ('Err0: '.mysqli_error($conexion));

   $usr2 = mysqli_fetch_object($cons2);

  $tipoc = $usr2->tipo_centro;
	                       
	

  
extract($_POST);

$qCuenta = "SELECT COUNT(id_prod) FROM productos";

	  $cCuenta = mysqli_query($conexion, $qCuenta) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));

	  while($rCuenta = mysqli_fetch_row($cCuenta))

	  {

	      $cuenta = $rCuenta[0]; // Cantidad de Productos para el contador.

	   };



		
		
			 
			 
		/*	 if($listacd==12 or $listacd==8 or $listacd==1 or $listacd==17){ }else{
				$q2 = "select sum(cant), nombreprod, id_prod from productos left join pedido on (productos.id_prod=pedido.productos_idprod) left join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones)  where (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and usuarios_ci_idusuarios_ci='".$listacd."' and fechat >= NOW() - INTERVAL 2 MONTH group by productos_idprod order by productos_idprod";
			 }/*/
$q2 = "SELECT cantidad, nombreProd, id_prod FROM productos join stock on productos.id_prod=stock.idprod where idcd=$listacd order by id_prod";

	  $cd = mysqli_query($conexion, $q2) or die ('Error (Registro No Encontrado (Generaciones de Tabla)): ' . mysqli_error($conexion));
			
			echo"<center><form name=\"Selec_Prod_Pedido\" action=\"produccion2.php\" method=\"post\"><br><br>";
			
			echo"Favor de seleccionar los productos a dar entrada CD: $listacd<br><br>
    
 <TABLE Border=1 CellPadding=5>

			<TR>";

				echo "

				<th>Id.</center></th>

				<th>Producto</th>

				<th>Existencias</th><th>A enviar</th>

			</TR>";




			echo "";

			$i = 0;

			while($renglon = mysqli_fetch_row($cd))

			{
				
		

				echo"<tr>";

				echo "<td>".$renglon[2]."</td>";

				echo "<input type=hidden name=copia_id_prod$i value=$renglon[2]>";

				echo "<td>".$renglon[1]."</td>";

				echo "<input type=hidden name=copia_nombreProd$i value=$renglon[1]>";

				echo "<td>".$renglon[0]."</td><input type=hidden name=existencia$i value=$renglon[0]>";

		
				



				echo "<td><input type=\"text\" name=cant$i size=\"5\" maxlength=\"5\"></td>";

								$i++;

				echo"</tr>";

			};

				

			echo "</table><br>	
<input type=hidden name=centroi value=$listacd>

			<input type=\"submit\" value=\"Continuar\" name=\"lista2\">
			

  		    </form>";
			
		
?>



